<?php
// +----------------------------------------------------------------------
// | 奇乐自媒体内容管理系统 免费版 2019
// +----------------------------------------------------------------------
// | 官方网址：http://www.qilecms.com
// +----------------------------------------------------------------------
// | 官方论坛：http://bbs.qilecms.com
// +----------------------------------------------------------------------
// | Author:奇乐网络
// +----------------------------------------------------------------------
// | 版权说明：本产品为免费版，使用请保留底部版权
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\controller;
use think\Db;
class Friendlink extends Base
{
	public function index(){
      $alias = '';        //需要别名时写别名，不需要的时候留空 
      $defaultWhere = '';  //默认where
      $defaultOrder = 'create_time desc';  //默认排序
    //接收搜索表单数据
      $SearchFormData = $this->getSearchFormData($defaultWhere,$defaultOrder);
      $where = $SearchFormData['where'];
      $order = $SearchFormData['order'];
      $pageNum = $SearchFormData['pageNum'];

//组建关键词数据
     $keywordsData  =[
                  [
                  'field'   =>'fid', //字段名
                  'name'    =>'网站ID', //文本显示名称
                  'alias'   => $alias,  //字段对应的别名
                  ],
                  [
                  'field'   =>'name',
                  'name'    =>'网站名称',
                  'alias'   => $alias,
                  ],
                  [
                  'field'   =>'url',
                  'name'    =>'网站URL',
                  'alias'   => $alias,
                  ],

     ];
//组建日期筛选   
       $dateData = [
                  [
                  'title'        =>'创建时间',  //标签显示名称
                  'field'        =>'create_time', //筛选字段
                  'start_name'   =>'开始时间', //开始时间
                  'end_name'     =>'结束时间', //结束时间
                  'alias'        => $alias,  //字段别名
                  ],

              ];
//单个字段筛选
    $customSingleField =[
                            [
                             'name'  =>'审核状态',
                             'field' => 'status', 
                             'data'  => [ 0 =>'隐藏',1=>'显示'],
                             'alias' =>$alias,
                            ]
                       ]; 
// 组件字段组筛选
     $groupData   = [];
     $orderData   = [];  

     $this->assign('keywordsData',$keywordsData);
     $this->assign('customSingleField',$customSingleField);
     $this->assign('groupData',$groupData);
     $this->assign('dateData',$dateData);
     $this->assign('orderData',$orderData);


     $list = DB::name('friendlink')->where($where)->order($order)->paginate($pageNum);
     $page = $list->render();
     $this->assign('page', $page);
     $this->assign('list', $list);
     return $this->fetch();
	}
//增加
  public function add(){
    $param = $this->request->param(); 
    if($this->request->isPost()){   

        //验证
        $rule =[
          'name'=>'require',
        ];
        $msg= [
         'name.require' =>'友链名称不能为空',   
        ];
         $error = $this->checkSubmit($param,$rule,$msg);  
       if($error){
              return error_json($error);
         }
         //表单数据
          $data['fid'] = $param['fid'];
          $data['name'] = $param['name'];
          $data['url'] = $param['url'];
          $data['logo'] = $param['logo'];
          $data['create_time'] = time();
          $data['sort'] = $param['sort'];
          $data['status'] = !empty($param['status'])?1:0;

       if(model('friendlink')->addData($data)){
         return success_json('添加成功'); 
       }
   }else{
        return $this->fetch();
   }      
  }
  public function edit(){
    $param = $this->request->param();
    if($this->request->isPost()){

        //验证
        $rule =[
          'name'=>'require',
        ];
        $msg= [
         'name.require' =>'友链名称不能为空',   
        ];
         $error = $this->checkSubmit($param,$rule,$msg);  
       if($error){
              return error_json($error);
         }
    
        //表单数据      
          $data['fid'] = $param['fid'];
          $data['name'] = $param['name'];
          $data['url'] = $param['url'];
          $data['logo'] = $param['logo'];
          $data['sort'] = $param['sort'];
          $data['status'] = !empty($param['status'])?1:0;
          $where['fid'] = $param['fid'];
          $res = model('friendlink')->editData($data,$where);
          return success_json('编辑成功'); 
    }else{
         $friendlink = model('friendlink')->getFriendlinkByFid($param['fid']);
         $this->assign('friendlink',$friendlink);
         return $this->fetch();


    }  
  }
  public function del(){
      $param =$this->request->param();
     if(!$param['fid']){  return error_json('请求参数错误');    }
     $res= $this->delData('friendlink','fid');
       if($res){
         return success_json('删除成功');
       }else{
         return error_json($res);
       }
    }
      


}